Package org.eclipse.emf.cdo.lm.modules.util

# Class ModulesXMLProcessor

java.lang.Object
org.eclipse.emf.ecore.xmi.util.XMLProcessor
org.eclipse.emf.cdo.lm.modules.util.ModulesXMLProcessor

public class ModulesXMLProcessor extends XMLProcessor
This class contains helper methods to serialize and deserialize XML documents

Generated

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.xmi.util.XMLProcessor

`ecoreBuilder, extendedMetaData, loadOptions, registrations, registry, saveOptions, STAR_EXTENSION, XML_EXTENSION, XML_URI`

## Constructor Summary

Constructors
Constructor
Description
`ModulesXMLProcessor()`
Public constructor to instantiate the helper.

## Method Summary

Modifier and Type
Method
Description
`protected Map<String,Resource.Factory>`
`getRegistrations()`
Register for "*" and "xml" file extensions the ModulesResourceFactoryImpl factory.

### Methods inherited from class org.eclipse.emf.ecore.xmi.util.XMLProcessor

`createEcoreBuilder, createExtendedMetaData, createResourceSet, getEPackageRegistry, getExtendedMetaData, load, load, load, load, save, save, save, saveToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModulesXMLProcessor

public ModulesXMLProcessor()
Public constructor to instantiate the helper.

Generated

## Method Details

### getRegistrations

protected Map<String,Resource.Factory> getRegistrations()
Register for "*" and "xml" file extensions the ModulesResourceFactoryImpl factory.

Overrides:
  `getRegistrations` in class `XMLProcessor`
Generated